Bug 805747

Summary: dell alienware m14x can't boot grub2,perhaps it's bios isn't compatible grub2
Product: [Fedora] Fedora Reporter: hq22 <hq22>
Component: grub2Assignee: Peter Jones <pjones>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 16CC: bcl, dennis, julian.fedora, mads, pjones, sergey.nikulov, vserbine
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 16:16:26 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description hq22 2012-03-21 22:14:42 EDT
Description of problem:
dell alienware m14x laptop
fedora-16-x86_64-DVD.iso
install is correct,but reboot showing
GRUB loading.
Welcome to GRUB! 
then hang on

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Julian Aloofi 2012-03-24 08:01:24 EDT
I am running f16-x86_64 on my m14x right now, and grub2 is working fine. I installed with the Live CD and am dual-booting with Windows. Maybe something went wrong with the install from the DVD? I don't think it's a hardware/BIOS issue.

Does installing from the Live CD help?
Comment 2 hq22 2012-03-24 19:31:25 EDT
Thanks!
I am install fedora16 in usb drivers,I connect this hard disk into thinkpad e420 laptop is fine.
fedora15  can run fine in my m14x with grub
Comment 3 Mads Kiilerich 2012-04-17 19:17:51 EDT
What is the status here? Was it just a spurious problem? Or do you still see something that looks like a grub2 bug?
Comment 4 Vladimir Serbinenko 2012-06-01 21:11:47 EDT
Can you try in text mode (by uncommenting GRUB_TERMINAL=console in etc/deault/grub) ?
Comment 5 Sergei Nikulov 2012-06-05 10:07:23 EDT
Same issue on HP Pavilion dv6-6031er

Fedora 17 x86_64 was installed on external USB drive.
During installation there is no problem was encountered.

After reboot it freeze on message "Welcome to GRUB!"

As was mentioned above I've boot in troubleshoot mode from DVD. Chrooted to /mnt/sysinstall
Added GRUB_TERMINAL=console in /etc/default/grub and run grub2-mkconfig -o /boot/grub/grub.cfg
But it does not solve problem.

Can anybody advise what should be done to troubleshoot this freeze?
Comment 6 Vladimir Serbinenko 2012-06-05 10:11:17 EDT
The path to grub.cfg is wrong
Comment 7 Sergei Nikulov 2012-06-05 10:38:10 EDT
I'm sorry,

Here is correction:

>> chroot /mnt/sysimage
>> grub2-mkconfig -o /boot/grub2/grub.cfg

Of course /boot/grub/ is incorrect. It contains only splash file.
Comment 8 Vladimir Serbinenko 2012-06-05 10:41:39 EDT
You can try installing with --debug-image=all
Comment 9 Sergei Nikulov 2012-06-05 11:09:53 EDT
It freeze on
...
partmap/gpt:111
kern/fs.c :55: Detecting ext2...


The strange thing that it repeats at least 3 times (it is what I saw on display) on  screen then hangs.

And it always try hd0, while I've installed on /dev/sdb and during notebook boot I've explicetely selected external USB drive to boot from.
Comment 10 Vladimir Serbinenko 2012-06-05 11:14:26 EDT
Most BIOSes make boot device hd0 independently of its position on the bus. Could you try (as root) grub2-fstest /dev/sdb ls -- -l ?
Comment 11 Sergei Nikulov 2012-06-05 12:13:03 EDT
Output:

Device loop0: No known filesystem detected - Total size 488397165 sectors
Partition loop0,gpt3: No known filesystem detected - Partition start at 1028096 - Total size 487368704 sectors
Partition loop0,gpt2: Filesystem type ext2 - Last modification time 2012-06-05 19:52:35 Tuesday, UUID 02b34544-6973-4454-825d-e3ec5ebbaca8 - Partition start at 4096 - Total size 1024000 sectors
Partition loop0,gpt1: No known filesystem detected - Partition start at 2048 - Total size 2048 sectors
Device Host: Filesystem type hostfs - Total size 0 sectors
Device lvm/vg_fedya17-lv_root: Filesystem type ext2 -  Last modification time 2012-06-05 19:52:33 Tuesday, UUID f29..skip... - Total size 104857600 sectors
Device lvm/vg_fedya17-lv_home: Filesystem type ext2 -  Last modification time 2012-06-05 19:52:35 Tuesday, UUID 192..skip... - Total size 370671616 sectors
Device lvm/vg_fedya17-lv_swap: No known filesystem detected - Total size 11796480 sectors
Comment 12 Sergei Nikulov 2012-06-09 05:21:46 EDT
Any news on this?
If something wrong with fs?
I would like to add that such situation appears after Fedora 17 clean install on external USB drive.
Comment 13 Vladimir Serbinenko 2012-06-09 05:40:49 EDT
No, can you look for references as to which file it tried to open? This patch will print it systematically:
=== modified file 'grub-core/kern/file.c'
--- grub-core/kern/file.c	2012-05-01 13:08:29 +0000
+++ grub-core/kern/file.c	2012-06-09 09:40:34 +0000
@@ -67,6 +67,8 @@ grub_file_open (const char *name)
   char *file_name;
   grub_file_filter_id_t filter;
 
+  grub_dprintf ("file", "opening `%s'\n", name);
+
   device_name = grub_file_get_device_name (name);
   if (grub_errno)
     goto fail;
@@ -99,9 +101,13 @@ grub_file_open (const char *name)
 	goto fail;
     }
 
+  grub_dprintf ("file", "fs open `%s'\n", name);
+
   if ((file->fs->open) (file, file_name) != GRUB_ERR_NONE)
     goto fail;
 
+  grub_dprintf ("file", "fs open `%s' succeeded\n", name);
+
   for (filter = 0; file && filter < ARRAY_SIZE (grub_file_filters_enabled);
        filter++)
     if (grub_file_filters_enabled[filter])
@@ -115,9 +121,13 @@ grub_file_open (const char *name)
   grub_memcpy (grub_file_filters_enabled, grub_file_filters_all,
 	       sizeof (grub_file_filters_enabled));
 
+  grub_dprintf ("file", "filter open `%s' succeeded\n", name);
+
   return file;
 
  fail:
+  grub_dprintf ("file", "fs open `%s' failed\n", name);
+
   if (device)
     grub_device_close (device);
Comment 14 Sergei Nikulov 2012-06-09 06:05:56 EDT
I have no Linux up and running on my computer because of this issue (as I already mention it only boot from DVD into troubleshoot mode).

So I have doubt that I'm able to install patched grub on my external drive from the sources.
Is any other possible way to handle this?

I digging Fedora site and found that some information about booting with UEFI BIOS here http://docs.fedoraproject.org/en-US/Fedora/17/html/Installation_Guide/ch-Boot-x86.html

Can it be UEFI BIOS issue?
Comment 15 Vladimir Serbinenko 2012-06-09 06:44:49 EDT
Do you boot in EFI or BIOS way? Ther is no such thing as "UEFI BIOS". Can you have GRUB on external device and try moving *.mod away?
Comment 16 Sergei Nikulov 2012-06-09 07:26:29 EDT
What is the difference between EFI and BIOS way?
What I know that HP Pavilion dv6-6031er uses Insyde BIOS http://www.insydesw.com/

Yes. During installation I've selected external drive to install bootloader.
No. I wasn't moving anything.
Comment 17 Vladimir Serbinenko 2012-06-09 07:44:19 EDT
If you have /efi directory then it's likely EFI boot. You probably can choose between EFI and BIOS in the firmware config.
I've asked you to try move *.mod away since I suspect that the problem is in s module. Without *.mod GRUB would go to rescue mode where you can insmod modules manually using full path. But your modules are likely on your ext* partition.
Comment 18 Fedora End Of Life 2013-01-16 11:59:44 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Fedora End Of Life 2013-02-13 16:16:29 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.